*
* NEW TRIMEXT()
*
FUNCTION trimext
PARAMETERS filename
PRIVATE at_pos, terminator
m.at_pos     = RAT('.', m.filename)
m.terminator = MAX( RAT( "\", m.filename), RAT( ":", m.filename))
IF m.at_pos > m.terminator
   m.filename = LEFT( m.filename, m.at_pos - 1)
ENDIF
RETURN ALLTRIM( m.filename)

* END trimext

*
* The above version of trimext() corrects
* the problem encountered when extensions
* are used in directory names.
*
*
* Example: If passed "H:\FOXPRO.CFG\GENSCRNX.PRG",
*   the old version will return "H:\FOXPRO" because
*   only the 1st occurance of "." is searched for.
*
*   By changing the AT() to RAT(), we obtain the
*   rightmost ".", and if this is to the right of
*   the rightmost "\" or ":", then this is the 
*   filename extension.  Otherwise, there is no
*   filename extension.  The new version will return
*   "H:\FOXPRO.CFG\GENSCRNX"
*    

*
* OLD TRIMEXT()
*

*FUNCTION trimext
PARAMETERS filename
PRIVATE at_pos

m.at_pos=AT('.',m.filename)
IF m.at_pos>0
  m.filename=LEFT(m.filename,m.at_pos-1)
ENDIF
RETURN ALLTRIM(m.filename)

* END trimext
